package startup;

import org.junit.jupiter.api.Test;

import electrosphere.engine.Globals;
import electrosphere.engine.Main;
import electrosphere.engine.profiler.Profiler;
import electrosphere.logger.LoggerInterface;
import electrosphere.net.NetUtils;

public class StartupTest {

    @Test
    public void testStartupHeadless(){
        LoggerInterface.loggerEngine.INFO("[Test] Startup Headless");
        Globals.RUN_CLIENT = false;
        Globals.RUN_SERVER = true;
        Globals.HEADLESS = true;
        Profiler.PROFILE = false;
        NetUtils.setPort(0);
        // Main.startUp();
        // Main.mainLoop(1);
    }

    @Test
    public void testEmpty() {
        LoggerInterface.loggerEngine.INFO("[Test] Empty test");
    }

}
